unitsize(10cm);

pair a = (0,0);
pair b = (1, 0.25);
pair c = (2,0);

pair bb = (1, 0.5);
pair cc = (1.5,0);

transform xf = identity;

void dots() {
	dot(xf * a);
	dot(xf * b);
	dot(xf * c);
}

void d(real t) {
	path p = a{N} .. tension t .. b{E} .. tension t .. c{S};
	draw(xf * p);
}

dots();
d(1);

xf = shift((0, -0.5));
dots();
d(0.8);
d(1);
d(2);
d(3);
d(10);

xf = shift((0, -1));
dots();
draw(xf * (a{N} .. tension atleast 1 .. b{E} .. tension atleast 1 .. c{S}));

xf = shift((0, -1.5));
dots();
draw(xf * (a{N} .. tension atleast 0.8 .. b{E} .. tension atleast 0.8 .. c{S}), red);
draw(xf * (a{N} .. tension atleast 1 .. b{E} .. tension atleast 1 .. c{S}));

xf = shift((0.3, -2.3));
dot(xf * a);
dot(xf * bb);
dot(xf * cc);
draw(xf * (a{curl 0} .. bb .. {curl 0}cc), green);
draw(xf * (a .. bb .. cc));
draw(xf * (a{curl 2} .. bb .. {curl 2}cc), red);
draw(xf * (a{curl 10} .. bb .. {curl 10}cc), blue);
